Subject: [nncp-devel] Pipe option for addrs / nncp-daemon?

From: John Goerzen <[email-masked]>
Date: Sat, 19 Oct 2019 22:56:47 -0500

Hi,

One of the neat properties of Taylor UUCP is that one can run the thing
over just about anything.  I'm not saying modem support would be helpful
in NNCP, but I wonder if a transport that takes a pipe could be added?
I'm thinking of situations in which firewall ports aren't necessarily
open, but other methods may be.  For instance:

neigh foo:
  addrs:
    main: "| ssh foo nncp-daemon -pipe"

Of course, this would permit methods other than ssh as well.  Here I
think of things like low-bandwidth radio links, etc.

The -pipe option above may be very similar, or even identical, to
-inetd, I would imagine.

Why not nncp-bundle?  Well, a couple reasons; the two big ones being not
being resumable and not having a positive acknowledgment of being
received on the other end.

One other reason for doing this might be to facilitate independent
installations on a system (see my other message regarding user/group
ownership and permissions).  Say you have a "main" nncp on a system,
running out of /var/spool/nncp, but you want individual users on the
system to not necessarily have to sudo or use other weird tricks to use
it.  You could set up local neighbors like so:

neigh:
  user1:
    addrs:
       main: "| sudo -Hu user1 nncp-daemin -cfg /home/user1/nncp.yaml -pipe"

and user1 could presumably send everything via the local main with a TCP
connection or something.  This prevents the hassle of having to figure
out how to run an instance for every local user.

(As a random aside, should the log file be rotated by the usual system
logfile rotation tools?)

Thanks again!

- John